<?php

namespace App\Http\Controllers;

use App\Festivo;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class FestivosController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function ReadFestivos()
    {

        $festivos = Festivo::where('year', date("Y"))
            ->orderBy('mes', 'asc')
            ->orderBy('dia', 'asc')
            ->get();

        return (new Response($festivos, 200));

    }

    public function ActualizaDia(Request $request)
    {

        $datos = $request['fecha'];

        $seleccionado = Festivo::where('dia', $datos['dia'])
            ->where('mes', $datos['mes'])
            ->where('year', $datos['year'])
            ->get()
            ->first();

        if ($seleccionado == null) {
            $sel = new Festivo();
            $sel->dia = $datos['dia'];
            $sel->mes = $datos['mes'];
            $sel->year = $datos['year'];

            $sel->save();

        } else {
            $seleccionado->delete();
        }

        $festivos = Festivo::where('year', 2018)
            ->orderBy('mes', 'asc')
            ->orderBy('dia', 'asc')
            ->get();

        return (new Response($festivos, 200));

    }
}
